Package com.enonic.xp.content

## Enum ContentState

- java.lang.Object
- - java.lang.Enum<ContentState>
  - - com.enonic.xp.content.ContentState

- All Implemented Interfaces:
    `Serializable`, `Comparable<ContentState>`

      @PublicApi
      @Deprecated
      public enum ContentState
      extends Enum<ContentState>

  Deprecated.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` | Deprecated.
    `PENDING_DELETE` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentState` | `from​(String value)` | Deprecated.
    `static ContentState` | `valueOf​(String name)` | Deprecated. Returns the enum constant of this type with the specified name.
    `static ContentState[]` | `values()` | Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final ContentState DEFAULT

      Deprecated.

    - #### PENDING_DELETE

          public static final ContentState PENDING_DELETE

      Deprecated.

  - ### Method Detail

    - #### values

          public static ContentState[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContentState c : ContentState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContentState valueOf​(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### from

          public static ContentState from​(String value)

      Deprecated.